Index: libraries/javalib/kaffe/net/www/protocol/file/FileURLConnection.java
===================================================================
RCS file: /cvs/kaffe/kaffe/libraries/javalib/kaffe/net/www/protocol/file/FileURLConnection.java,v
retrieving revision 1.8
diff -u -r1.8 FileURLConnection.java
--- libraries/javalib/kaffe/net/www/protocol/file/FileURLConnection.java	31 May 2003 06:01:17 -0000	1.8
+++ libraries/javalib/kaffe/net/www/protocol/file/FileURLConnection.java	31 May 2003 09:10:23 -0000
@@ -8,6 +8,8 @@
 import java.io.InputStream;
 import java.net.URL;
 import kaffe.net.www.protocol.BasicURLConnection;
+import java.io.FilePermission;
+import java.security.Permission;
 
 /*
  * FileURLConnection -
@@ -23,6 +25,7 @@
   extends BasicURLConnection
 {
 	private InputStream file;
+	private FilePermission permission;
 
 public FileURLConnection(URL url) {
 	super(url);
@@ -40,6 +43,8 @@
 
 	File fl = new File(fn);
 
+	permission = new FilePermission (fl.getPath(), "read");
+
 	if( fl.isDirectory() )
 	{
 		int lpc, flatIndex = 0, len = 0;
@@ -72,6 +77,10 @@
 		setHeaderField("content-length", Long.toString(fl.length()));
 		file = new BufferedInputStream(new FileInputStream( fl));
 	}
+}
+
+public Permission getPermission () throws IOException {
+	return permission;
 }
 
 public InputStream getInputStream() throws IOException {
